# Makefile for Tcl Web Robot
-# $Id: Makefile.in,v 1.5 2001/01/23 12:05:06 adam Exp $
+# $Id: Makefile.in,v 1.6 2003/08/15 12:49:03 marc Exp $
SHELL=/bin/sh
# Version
-VERSION=0.0
+#VERSION=1.3.0
# Directory prefix wich machine independent files
prefix=@prefix@
clean:
rm -f tclrobot core *.out *.o *.a *.so config.*
+
+install:
+ $(INSTALL) -D tclrobot$(SHLIB_SUFFIX) $(LIBDIR)/libtclrobot$(SHLIB_SUFFIX)
--- /dev/null
+#! /bin/sh
+# bootstrap -- Use this script to create generated files from the CVS dist
+
+# Avoid broken or bad automake
+#if automake --version | grep ' 1.4'; then
+# echo "Needs automake 1.5 or later. Debian package automake1.5"
+# exit 1
+#fi
+
+# Debian stable has the obsolete autoconf 2.13. Use 2.50 (2.52?) instead
+if autoconf --version | grep 2.13; then
+ AUTOCONF=autoconf2.50
+else
+ AUTOCONF=autoconf
+fi
+
+set -x
+
+# now generate makefiles ...
+#aclocal
+#autoheader
+#automake --foreign --add-missing --copy
+$AUTOCONF
+
+echo "
+Build the Makefiles with the configure command.
+For help on options or configuring run
+ ./configure --help
+ ./configure [--someoption=somevalue ...]
+
+Set the necessary environmental variables for local development in a bash
+ source source-bash
+
+Or just build the debian packages without configuring
+ dpkg-buildpackage -rfakeroot
+"
--- /dev/null
+tclrobot (0.0.1-1) unstable; urgency=low
+
+ * Initial Release.
+ * Code taken from tclrobot cvs project at www.indexdata.dk
+ * Author: Adam Dickmeiss, IndexData, adam@indexdata.dk
+
+ -- marc <marc@cromme> Fri, 15 Aug 2003 14:11:25 +0200
+
--- /dev/null
+Source: tclrobot
+Section: web
+Priority: optional
+Maintainer: marc cromme <marc@indexdata.dk>
+Build-Depends: debhelper (>> 4.0.0), autoconf (>> 2.50), tcl8.3-dev|tcl8.4-dev
+Standards-Version: 3.5.8
+
+Package: libtclrobot-tcl
+Section: libs
+Architecture: any
+Depends: tcl8.3|tcl8.4
+Description: web crawling robot
+ Fetches html pages from the web
+ TCL extention library
+
+
--- /dev/null
+README
\ No newline at end of file
--- /dev/null
+debian/tmp/usr/lib/libtclsqlite.so*
--- /dev/null
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+
+# shared library versions, option 1
+version=2.0.5
+major=2
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+#version=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+#major=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+ ./configure --prefix=$(CURDIR)/debian/tmp/usr
+ touch configure-stamp
+
+
+build: build-stamp
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/tmp
+ $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+ #cp tclrobot.so debian/tmp/usr/lib/libtclrobot.so
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+# dh_installexamples
+ dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+# dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# d_python
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure